import { Overlay } from '@angular/cdk/overlay';
import { Injector, OnDestroy } from '@angular/core';
import { AlertConfig } from './alert-config';
export declare class AlertService implements OnDestroy {
    private _overlay;
    private _injector;
    private _overlayRef?;
    private _alertContainerRef?;
    constructor(_overlay: Overlay, _injector: Injector);
    info(title: string, message: string, config?: AlertConfig): string;
    success(title: string, message: string, config?: AlertConfig): string;
    warning(title: string, message: string, config?: AlertConfig): string;
    error(title: string, message: string, config?: AlertConfig): string;
    hide(key: string): void;
    private _open;
    private _attachAlertContainer;
    ngOnDestroy(): void;
    private _dispose;
}
/**
* @component alert
* @section hide
*
* @angular

import { Component } from '@angular/core';
import { AlertService } from '@momentum-ui/angular';

@Component({
  selector: 'demo-alert-hide',
  template: `
    <button md-button (click)="showAlert()" aria-label='Click to Open'>
      Show Alert
    </button>
    <button md-button (click)="hideAlert()" aria-label='Click to Hide'>
      Hide Alert
    </button>
    `,
})

export class AlertDefault {
  key: string;
  constructor(private alertService: AlertService) {}

  showAlert() {
    this.key = this.alertService.info('Alert', 'Who\'s awesome?  You are!');
  }

  hideAlert() {
    this.alertService.hide(this.key);
  }
}

**/
